lpq reports Owner "(null)" and File(s) "untitled"

Bug #904093 reported by WaltSullivan on 2011-12-14
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
cups (Ubuntu)
Medium
Unassigned

Bug Description

I'm running CUPS on localhost. The `lpq` command reports the owner of the job as "(null)" and the File(s) in the job as "untitled". In addition to being wrong, these values are incorrect.

    walt@wombat:~(0)$ id
    uid=1000(walt) gid=1000(walt) groups=1000(walt),4(adm),20(dialout),24(cdrom),46(plugdev),112(lpadmin),120(admin),122(sambashare),126(libvirtd),143(wireshark),1001(motion)
    walt@wombat:~(0)$ date | lpr -T test-T -C test-C -J test-J
    walt@wombat:~(0)$ lpq
    hold is not ready
    Rank Owner Job File(s) Total Size
    1st (null) 182 untitled 1024 bytes
    2nd (null) 183 untitled 0 bytes
    3rd (null) 184 untitled 1024 bytes

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: cups-bsd 1.5.0-8ubuntu5
ProcVersionSignature: Ubuntu 3.0.0-14.23-generic 3.0.9
Uname: Linux 3.0.0-14-generic x86_64
ApportVersion: 1.23-0ubuntu4
Architecture: amd64
Date: Tue Dec 13 23:45:30 2011
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
Lpstat:
 device for hold: serial:/dev/null
 device for PDF: cups-pdf:/
 device for wdeskjet: ipp://aardvark/ipp/deskjet
MachineType: Dell Inc. Latitude D630
Papersize: letter
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
PpdFiles:
 PDF: Generic CUPS-PDF Printer
 wdeskjet: HP Deskjet 6980 Series, hpcups 3.11.7
 hold: Generic PostScript Printer
 hold: Generic PostScript Printer
ProcEnviron:
 LANGUAGE=en_CA:en
 PATH=(custom, user)
 LANG=en_CA.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-14-generic root=UUID=4e877637-80e7-4c89-a3b1-5416035e3215 ro quiet splash vt.handoff=7
SourcePackage: cups
UpgradeStatus: Upgraded to oneiric on 2011-10-14 (60 days ago)
dmi.bios.date: 01/04/2010
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A17
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA17:bd01/04/2010:svnDellInc.:pnLatitudeD630:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: Latitude D630
dmi.sys.vendor: Dell Inc.

WaltSullivan (walts) wrote :

I can confirm this. Any job is reported reported to from owner "(null)", jobtitle "unititled" and even the assigned printer seems to be wrong. Viewing the queue of any printer shows to be empty, viewing the overall queue show the job.
As it seems, cups gets passed the correct values. Here some lines of my cups error_log with log_level debug:

D [16/Dec/2011:14:32:51 +0100] [Job 23] job-sheets=none,none
D [16/Dec/2011:14:32:51 +0100] [Job 23] argv[0]="MyPrinterName"
D [16/Dec/2011:14:32:51 +0100] [Job 23] argv[1]="23"
D [16/Dec/2011:14:32:51 +0100] [Job 23] argv[2]="MyUserName"
D [16/Dec/2011:14:32:51 +0100] [Job 23] argv[3]="SomeTestPDF.pdf"
D [16/Dec/2011:14:32:51 +0100] [Job 23] argv[4]="1"

Changed in cups (Ubuntu):
status: New → Confirmed
description: updated

I just realized that printing jobs do arrive at my printers with the correct owner and filename set, so this seems to be some cups internal problem. Maybe even an upstream error...

It turnes out that this is actually not a bug but a feature. There are some new config options that should be added to the default cupsd.conf in my Opinion:

JobPrivateAccess all
JobPrivateValues all

WaltSullivan (walts) wrote :

I've noticed that the HPLIP Status popup displays the correct queue, user and job name.

I edited my /etc/cups/cupsd.conf, and changed all 4 lines from "JobPrivatexxxx default" to "JobPrivatexxxx all", then did "sudo service cups restart", and the problem remained. "lpq" displayed

    $ lpq
    Deskjet is ready and printing
    Rank Owner Job File(s) Total Size
    1st (null) 1098 untitled 0 bytes

Not Fixed.

I'd like to understand how it's a "feature". Could you point me to your
source for that idea? It still looks like a bug from here.

On Mon, 2012-02-13 at 07:29 +0000, Jörg Herzinger wrote:
> It turnes out that this is actually not a bug but a feature. There are
> some new config options that should be added to the default cupsd.conf
> in my Opinion:
>
> JobPrivateAccess all
> JobPrivateValues all
>

Till Kamppeter (till-kamppeter) wrote :

Can everyone with problems please attach his /etc/cups/cupsd.conf file? Thanks.

Changed in cups (Ubuntu):
status: Confirmed → Incomplete
WaltSullivan (walts) wrote :

My cupsd.conf

$ ls -l /etc/cups/cupsd.conf
-rw-r----- 1 root lp 3549 2012-03-24 14:05 /etc/cups/cupsd.conf

Till Kamppeter (till-kamppeter) wrote :

Can you also attach your /etc/cups/printers.conf? Thanks.

WaltSullivan (walts) wrote :

My /etc/cups/printers.conf, as requested.

Tony Baines (tonybaines) wrote :

I found this bug-report while looking for a way to solve a related problem; allowing users to cancel print jobs in the Linux Mint 12 Gnome System Settings -> Printers dialog (the 'stop' button was there but had no effect).

I noticed null owners in lpq and took a guess that without access to the owner the 'Printers' dialog permission for the stop couldn't be verified. In any case, changing the Policy default in /etc/cups/cupsd.conf in a similar way to that suggested by Jörg (and restarting cupsd) allowed all users to cancel their print jobs.

<Policy default>
  # Job/subscription privacy...
# JobPrivateAccess default
# JobPrivateValues default
  JobPrivateAccess all
  JobPrivateValues none
...

Unless this is a coincidental fix, I'd expect cancelling print jobs to work with a vanilla installation which seems to imply the apppropriate cupsd.conf settings are not the current default ones.

Launchpad Janitor (janitor) wrote :

[Expired for cups (Ubuntu) because there has been no activity for 60 days.]

Changed in cups (Ubuntu):
status: Incomplete → Expired

Seems that the problem is in "lpq" itself. I have all on "default" and get for my printer "test" (note that I have paused the printer as otherwise the job would too quickly end up on paper):

till@till:~/ubuntu/cups/bzr/precise/cups-1.5.3$ lpstat -o
test-592 till 4096 Tue 03 Jul 2012 10:44:51 AM CEST
till@till:~/ubuntu/cups/bzr/precise/cups-1.5.3$ lpq -P test
test is not ready
Rank Owner Job File(s) Total Size
1st (null) 592 untitled 4096 bytes
till@till:~/ubuntu/cups/bzr/precise/cups-1.5.3$

So use "lpstat -o" or a GUI job viewer as a workaround.

Submitted problem upstream a

http://www.cups.org/str.php?L4135

Changed in cups (Ubuntu):
status: Expired → Confirmed
importance: Undecided → Medium

Bug got fixed upstream, patch is attached to the upstream bug report.

Changed in cups (Ubuntu):
status: Confirmed → Triaged
tags: added: patch

Backported the patch from upstream to the Ubuntu package, will be available in cups 1.5.3-5.

Changed in cups (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (5.0 KiB)

This bug was fixed in the package cups - 1.6.0-0bzr1

---------------
cups (1.6.0-0bzr1) quantal; urgency=low

  [ Till Kamppeter ]
  * New upstream release
     - Avahi-based Bonjour/DNS-SD/mDNS support
     - ICC-based color management with colord
     - IPP-Everywhere support
     - Moved filters not needed by Mac OS to cups-filters project at
       OpenPrinting.
     - Moved API of libcupsdrivers (driver.h) and of part of libcupsimage
       (image.h) to cups-filters.
     - cups-polld removed
     - Fixes: LP: #904093, LP: #1027804
  * debian/patches/ipp-backend-cups-1.5.4-fixes.patch,
    debian/patches/install-sh-remove-bashism.patch,
    debian/patches/usb-backend-busy-loop-fix.patch,
    debian/patches/usb-backend-detach-usblp-earlier-crash-guards.patch,
    debian/patches/usb-backend-initialize-usblp-attached-state.patch,
    debian/patches/usb-backend-further-enhancements.patch,
    debian/patches/snmp-dont-stop-without-ipv6.patch,
    debian/patches/cups-avahi.patch,
    debian/patches/colord-support.patch: Removed, included upstream.
  * debian/patches/dnssd-reg-array-linear-search.patch: Removed, not applicable
    any more.
  * debian/patches/pidfile.patch,
    debian/patches/airprint-support.patch,
    debian/patches/no-conffile-timestamp.patch,
    debian/patches/drop_unnecessary_dependencies.patch,
    debian/patches/configure-default-browse-protocols.patch
    debian/patches/add-ipp-backend-of-cups-1.4.patch
    debian/patches/printer-filtering.patch,
    debian/patches/show-compile-command-lines.patch,
    debian/patches/pstops-based-workflow-only-for-printing-ps-on-a-ps-printer.patch,
    debian/patches/tests-ignore-usb-crash.patch: Manually regenerated to adapt
    to upstream changes.
  * debian/patches/debian/patches/ppd-poll-with-client-conf.patch,
    debian/patches/manpage-translations.patch,
    debian/patches/rootbackends-worldreadable.patch,
    debian/patches/reactivate_recommended_driver.patch,
    debian/patches/read-embedded-options-from-incoming-postscript-and-add-to-ipp-attrs.patch,
    debian/patches/do-not-broadcast-with-hostnames.patch,
    debian/patches/confdirperms.patch,
    debian/patches/log-debug-history-nearly-unlimited.patch,
    debian/patches/tests-ignore-warnings.patch,
    debian/patches/tests-slow-lpstat.patch: Refreshed with quilt.
  * debian/patches/airprint-support.patch: Fixes in the conditionals to make
    AirPrint work with the new upstream Avahi support.
  * debian/patches/cupsd-conf-remove-obsolete-browse-directives.patch:
    Removed obsolete "BrowseOrder" and "BrowseAllow" lines from cupsd.conf.
  * debian/patches/printers-c-recognize-remote-cups-queue-via-dnssd-uri.patch,
    Treat raw queues pointing to a CUPS server as remote queues (using PPD on
    server) also if they have a "dnssd://..." URI.
  * debian/patches/avahi-not-considered-at-some-dnssd-conditionals.patch: At
    some points Avahi was not considered in conditionals for DNS-SD. This
    broke most of the printer sharing functionality.
  * debian/patches/ubuntu/ubuntu-disable-browsing.patch: Updated.
  * debian/cups.install: Removed all references to the discontinued cups-polld.
  * debian/rules: Removed lines for ...

Read more...

Changed in cups (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers